package com.ssj.service.conch.teacher.request.zyb;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import com.ssj.service.conch.teacher.dto.LearningStateDto;
import com.ssj.service.conch.teacher.dto.SubjectParamDto;

/**
 * @author chchen
 * @date 2018/9/21 11:08
 */
public class HomeworkDataSaveRequest implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "pushId", value = "推送表id", required = false)
    private String  pushId;

    @ApiModelProperty(name = "homeworkPicture", value = "作业登记图片集合", required = false)
    private List<String>  homeworkPicture;

    @ApiModelProperty(name = "learningState", value = "学习状态", required = false)
    private List<LearningStateDto> learningState;

    @ApiModelProperty(name = "suggestion", value = "老师留言", required = false)
    private String suggestion;

    @ApiModelProperty(name = "subjectDataList", value = "各科登记情况", required = false)
    private List<SubjectParamDto>  subjectDataList;

    public String getPushId() {
        return pushId;
    }

    public void setPushId(String pushId) {
        this.pushId = pushId;
    }

    public List<String> getHomeworkPicture() {
		return homeworkPicture;
	}

	public void setHomeworkPicture(List<String> homeworkPicture) {
		this.homeworkPicture = homeworkPicture;
	}

	public List<LearningStateDto> getLearningState() {
        return learningState;
    }

    public void setLearningState(List<LearningStateDto> learningState) {
        this.learningState = learningState;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public List<SubjectParamDto> getSubjectDataList() {
        return subjectDataList;
    }

    public void setSubjectDataList(List<SubjectParamDto> subjectDataList) {
        this.subjectDataList = subjectDataList;
    }
}
